Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.878466
Category:Fedora Local Security Checks
Title:Fedora: Security Advisory for python27 (FEDORA-2020-887d3fa26f)
Summary:The remote host is missing an update for the 'python27'; package(s) announced via the FEDORA-2020-887d3fa26f advisory.
Description:Summary:
The remote host is missing an update for the 'python27'
package(s) announced via the FEDORA-2020-887d3fa26f advisory.

Vulnerability Insight:
Python 2 is an old version of the language that is incompatible with the 3.x
line of releases. The language is mostly the same, but many details, especially
how built-in objects like dictionaries and strings work, have changed
considerably, and a lot of deprecated features have finally been removed in the
3.x line.

Note that Python 2 is not supported upstream after 2020-01-01, please use the
python3 package instead if you can.

This package also provides the 'python2' executable.

Affected Software/OS:
'python27' package(s) on Fedora 32.

Solution:
Please install the updated package(s).

CVSS Score:
6.4

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-26116
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.